Get Salt Resource By Id

Get Salt Resource By Id
Get salt status for a resource

Get salt status for a resource

Request
URI
GET
https://{api_host}/suite-api/api/salt/resources/{id}/status
COPY
Path Parameters
string
id
Required

ID of the resource


Authentication
This operation uses the following authentication methods.
Responses
200

Executed Get salt status for a resource

Returns ResourceSaltStatus of type(s) application/json
{
    "minionId": "string",
    "resourceId": "string",
    "status": "string"
}
string
minionId
Optional

Unique identifier of the Minion reporting this resource status.

string As uuid As uuid
resourceId
Required

Unique identifier of the Salt-managed resource.

string
status
Required

Minion Status

Possible values are : CONNECTED, DISCONNECTED, DISABLED, UNKNOWN,

500

Error while processing Get salt status for a resource

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/salt/resources/{id}/status